---
title: "Get Orders"
canonical_url: "https://docs.stablegate.com/docs/apiref/orders/get-orders"
---
# Get Orders

::api-operation{color="success" endpoint="/v1/customers/{customer_uuid}/orders/" method="GET"}
## Authorization

::field-group
::field{name="X-Api-Key" type="string" :required="true"}
API key generated in the Developers section of the Stablegate app. Send it in the `X-Api-Key` header on every request; the partner API does not require request signing.
::
::

## Path parameters

::field-group
:field{name="customer_uuid" type="string<uuid>" :required="true"}
::

## Query parameters

::field-group
:field{name="limit" type="integer | null"}:field{name="offset" type="integer | null"}:field{name="uuid" type="string<uuid> | null"}:field{name="external_id__like" type="string | null"}:field{name="holding_uuid" type="string<uuid> | null"}:field{name="account_uuid" type="string<uuid> | null"}:field{name="is_approved" type="boolean | null"}:field{name="is_third_party_payment" type="boolean | null"}:field{name="is_approve_deposited" type="boolean | null"}::field{name="incoming_rails_code" type="string | null"}
One of: `bitcoin`, `sepa`, `sepa_instant`, `swift`, `ach`, `wire`, `visa`, `mastercard`, `ethereum`, `algorand`, `polygon`, `ripple`, `xinfin`, `stellar`, `tron`
::

::field{name="incoming_rails_type" type="string | null"}
One of: `bank`, `crypto`, `card`, `all`
::

:field{name="incoming_provider_name" type="string | null"}::field{name="incoming_asset_code" type="string | null"}
One of: `EUR`, `USD`, `AED`, `CHF`, `GBP`, `CAD`, `AUD`, `NZD`, `CNY`, `HKD`, `JPY`, `SGD`, `THB`, `ILS`, `SAR`, `ZAR`, `PLN`, `ETH`, `BTC`, `XLM`, `TRX`, `MYR`, `USDT`, `USDC`, `EURS`, `EURC`
::

:field{name="incoming_custodian_account__like" type="string | null"}:field{name="incoming_client_account__like" type="string | null"}::field{name="outgoing_rails_code" type="string | null"}
One of: `bitcoin`, `sepa`, `sepa_instant`, `swift`, `ach`, `wire`, `visa`, `mastercard`, `ethereum`, `algorand`, `polygon`, `ripple`, `xinfin`, `stellar`, `tron`
::

::field{name="outgoing_rails_type" type="string | null"}
One of: `bank`, `crypto`, `card`, `all`
::

:field{name="outgoing_provider_name" type="string | null"}::field{name="outgoing_asset_code" type="string | null"}
One of: `EUR`, `USD`, `AED`, `CHF`, `GBP`, `CAD`, `AUD`, `NZD`, `CNY`, `HKD`, `JPY`, `SGD`, `THB`, `ILS`, `SAR`, `ZAR`, `PLN`, `ETH`, `BTC`, `XLM`, `TRX`, `MYR`, `USDT`, `USDC`, `EURS`, `EURC`
::

:field{name="outgoing_custodian_account__like" type="string | null"}:field{name="outgoing_client_account__like" type="string | null"}:field{name="is_manual" type="boolean | null"}:field{name="is_otc" type="boolean | null"}:field{name="approved_by" type="string | null"}:field{name="created_by" type="string | null"}:field{name="approved_at__gte" type="string<date> | null"}:field{name="approved_at__lte" type="string<date> | null"}:field{name="created_at__gte" type="string<date> | null"}:field{name="created_at__lte" type="string<date> | null"}:field{name="updated_at__gte" type="string<date> | null"}:field{name="updated_at__lte" type="string<date> | null"}::field{name="sort" type="string | null"}
One of: `asc`, `desc`
::

::field{name="order_by" type="string | null"}
One of: `id`, `external_id`, `created_at`, `updated_at`, `deleted_at`, `created_by`, `account_id`, `incoming_rails_code`, `outgoing_rails_code`, `incoming_rails_type`, `outgoing_rails_type`, `incoming_asset_code`, `outgoing_asset_code`, `holding_uuid`, `client_uuid`, `legal_entity_uuid`, `incoming_amount`, `outgoing_amount`, `status`, `is_approved`, `account_code`, `account_name`, `account_type`
::

:field{name="deleted__include" type="boolean | null"}:field{name="account_code__like" type="string | null"}:field{name="account_name__like" type="string | null"}::field{name="account_type" type="string | null"}
One of: `trading`, `internal_iban`
::

::field{name="pipeline_type" type="string | null"}
One of: `Buy EURS`, `Sell EURS`, `Bridge EURS`, `OTC`, `Onboarding`, `External`
::

:field{name="client_uuid" type="string<uuid> | null"}:field{name="status" type="string[] | null"}
::

## Responses

::tabs
::tabs-item{label="200"}
Successful Response

Type: `object[]`.

::field-group
:field{name="uuid" type="string<uuid>" :required="true"}:field{name="reference" type="string" :required="true"}:field{name="legal_entity_uuid" type="string<uuid>" :required="true"}::field{name="account" type="object" :required="true"}
::collapsible{name="properties"}
::field-group
:field{name="uuid" type="string<uuid>" :required="true"}:field{name="code" type="string | null"}:field{name="name" type="string | null"}::field{name="type" type="string" :required="true"}
One of: `trading`, `internal_iban`
::
::
::
::

::field{name="status" type="string" :required="true"}
One of: `new`, `processing`, `done`, `hold`, `failed`, `rejected`, `rollbacked`, `cancelled`, `stopped`
::

:field{name="deposit_address" type="string" :required="true"}::field{name="incoming_rails" type="object | null"}
::collapsible{name="properties"}
::field-group
:field{name="code" type="string" :required="true"}:field{name="name" type="string" :required="true"}::field{name="type" type="string" :required="true"}
One of: `bank`, `crypto`, `card`, `all`
::
::
::
::

::field{name="incoming_provider" type="object | null"}
::collapsible{name="properties"}
::field-group
:field{name="uuid" type="string<uuid>" :required="true"}:field{name="name" type="string" :required="true"}::field{name="type" type="string" :required="true"}
One of: `external`, `internal`, `bank`, `crypto`, `card`, `cex`, `dex`, `all`
::

:field{name="description" type="string | null"}:field{name="is_default" type="boolean | null"}
::
::
::

::field{name="incoming_asset_code" type="string | null"}
One of: `EUR`, `USD`, `AED`, `CHF`, `GBP`, `CAD`, `AUD`, `NZD`, `CNY`, `HKD`, `JPY`, `SGD`, `THB`, `ILS`, `SAR`, `ZAR`, `PLN`, `ETH`, `BTC`, `XLM`, `TRX`, `MYR`, `USDT`, `USDC`, `EURS`, `EURC`
::

:field{name="incoming_amount" type="string | null"}::field{name="outgoing_rails" type="object | null"}
::collapsible{name="properties"}
::field-group
:field{name="code" type="string" :required="true"}:field{name="name" type="string" :required="true"}::field{name="type" type="string" :required="true"}
One of: `bank`, `crypto`, `card`, `all`
::
::
::
::

::field{name="outgoing_provider" type="object | null"}
::collapsible{name="properties"}
::field-group
:field{name="uuid" type="string<uuid>" :required="true"}:field{name="name" type="string" :required="true"}::field{name="type" type="string" :required="true"}
One of: `external`, `internal`, `bank`, `crypto`, `card`, `cex`, `dex`, `all`
::

:field{name="description" type="string | null"}:field{name="is_default" type="boolean | null"}
::
::
::

::field{name="outgoing_asset_code" type="string | null"}
One of: `EUR`, `USD`, `AED`, `CHF`, `GBP`, `CAD`, `AUD`, `NZD`, `CNY`, `HKD`, `JPY`, `SGD`, `THB`, `ILS`, `SAR`, `ZAR`, `PLN`, `ETH`, `BTC`, `XLM`, `TRX`, `MYR`, `USDT`, `USDC`, `EURS`, `EURC`
::

:field{name="outgoing_amount" type="string | null"}:field{name="outgoing_client_account" type="string | null"}:field{name="commission_amount" type="string | null"}:field{name="error_message" type="string | null"}:field{name="created_at" type="string<date-time>" :required="true"}
::
::

::tabs-item{label="422"}
Validation Error

::field-group
:field{name="trace_id" type="string" :required="true"}::field{name="error_code" type="string" :required="true"}
One of: `devapi_internal_error`, `devapi_request_validation_error`, `devapi_iban_parse_error`, `devapi_customer_close_error`, `devapi_bank_code_required_error`, `devapi_download_aol_error`, `devapi_not_found_error`, `devapi_bad_request_error`, `devapi_email_occupied_error`, `devapi_idempotency_invalid_key`, `devapi_idempotency_key_misuse`, `devapi_idempotency_request_in_progress`, `devapi_kyc_application_link_error`, `devapi_instant_verification_error`, `devapi_unauthorized_error`, `devapi_forbidden_error`, `devapi_method_not_allowed_error`, `devapi_service_unavailable_error`
::

:field{name="message" type="string" :required="true"}::field{name="details" type="object[]" :required="true"}
::collapsible{name="properties"}
::field-group
:field{name="loc" type="string | string[]" :required="true"}:field{name="msg" type="string" :required="true"}:field{name="type" type="string" :required="true"}
::
::
::
::
::
::

::template{v-slot:samples=""}
::code-switcher{method="GET" path="/v1/customers/CUSTOMER_UUID/orders/"}
```bash
curl https://api.stablegate.com/v1/customers/CUSTOMER_UUID/orders/ \
  --header 'X-Api-Key: YOUR_API_KEY'
```
::

::code-group
```json [200]
[
  {
    "uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "reference": "string",
    "legal_entity_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "account": {
      "uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "code": "string",
      "name": "string",
      "type": "trading"
    },
    "status": "new",
    "deposit_address": "string",
    "incoming_rails": {
      "code": "string",
      "name": "string",
      "type": "bank"
    },
    "incoming_provider": {
      "uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "name": "string",
      "type": "external",
      "description": "string",
      "is_default": true
    },
    "incoming_asset_code": "EUR",
    "incoming_amount": "string",
    "outgoing_rails": {
      "code": "string",
      "name": "string",
      "type": "bank"
    },
    "outgoing_provider": {
      "uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "name": "string",
      "type": "external",
      "description": "string",
      "is_default": true
    },
    "outgoing_asset_code": "EUR",
    "outgoing_amount": "string",
    "outgoing_client_account": "string",
    "commission_amount": "string",
    "error_message": "string",
    "created_at": "2026-01-01T00:00:00Z"
  }
]
```

```json [422]
{
  "trace_id": "string",
  "error_code": "devapi_internal_error",
  "message": "string",
  "details": [
    {
      "loc": "string",
      "msg": "string",
      "type": "string"
    }
  ]
}
```
::
::
::


## Sitemap

See the full [sitemap](https://docs.stablegate.com/sitemap.md) for all pages.
